#ifndef	_RAMADDR_H_
#define	_RAMADDR_H_

#if (_USB>=1)
    /*
	#define	USB_MEM_SIZE				(5*1024)
    */

	// for normal memory allocate
	#define	USB_S_MEM_BLOCK				20								// Unit : S_MEM_SIZE (UsbMemLib.c)
	#define	USB_M_MEM_BLOCK				15								// Unit : M_MEM_SIZE (UsbMemLib.c)
	#define	USB_L_MEM_BLOCK				12								// Unit : L_MEM_SIZE (UsbMemLib.c)

    // for    _ADM5120 Only !!
	#define	USB_NONCACHE_SIZE			(127*1024)						// (255*1024)

	// 2003/5/19 B. S. Liaw : Move USB_?_POOL_SIZE
    //                        Macro from UsbMemLib.c

	// for Non-Cached memory allocate
#if (_USB2==1)
	#define USB_S_POOL_SIZE				857								// for size of 128 USB_MEM_U_S_SIZE (UsbCfg.h) => 128 * 64 = 8192
#else	// _USB2
	#define USB_S_POOL_SIZE				25								// 20 Unit : S_BLOCK_SIZE (UsbMemLib.c)
#endif	// _USB2

	// actural size is Plus USB_DEV_MAX*USB_DEV_ED_MAX*3
	// Move from UsbCfg.h
	#define USB_DEV_MAX					8								// 2003/7/5 B. S. Liaw
																		// 2 RH * 2 HUB * 2 DEV

#if (_USB2==1)
	#define USB_M_POOL_SIZE				31								// for size of 512 USB_MEM_U_M_SIZE (UsbCfg.h) => 512 * 16 = 8192
	#define USB_L_POOL_SIZE				4								// for size of 8192 USB_MEM_U_L_SIZE (UsbCfg.h)
#else	// _USB2
	#define USB_M_POOL_SIZE				15								// 20 Unit : S_BLOCK_SIZE (UsbMemLib.c)

	#define USB_L_POOL_SIZE				68 // 8							// 5  20 Unit : S_BLOCK_SIZE
	//#define USB_L_POOL_SIZE				130 // 8							// 5  20 Unit : S_BLOCK_SIZE
#endif	// _USB2
																		// actural size is Plus USB_DMAPOOL_L_MAX
#endif // _USB

#endif	// _RAMADDR_H_