
TARGET_NAME = usb_storage

VPATH =
ModuleDefine =
TARGET_CPP =
TARGET_S =

MakeDIRS = block fs
# MakeDIRS += base


# ----------------------------------------
# USB Mass Storage Class device drivers.
# ----------------------------------------

# ----------------------------------------
# FAT glue layer
# ----------------------------------------

TARGET_C = FatBlockIo.c 
#FatBlock.c 


# ----------------------------------------

# Initialize ..
TARGET_C += UsbMsInit.c

# ----------------------------------------

# USB Mass Storage Class Core
# ifneq "$(strip $(_USB_MS))" "0"
  TARGET_C += ms_protocol.c ms_transport.c ms_usb.c
  TARGET_C += ms_init.c
# endif

# ----------------------------------------

# Mass Storage Class debug
TARGET_C += ms_debug.c

# ----------------------------------------

# SCSI glue layer
TARGET_C += ms_scsiglue.c

# ----------------------------------------

# SCSI Support

# mid-level SCSI driver
TARGET_C += scsi.c 

TARGET_C += scsi_hosts.c
TARGET_C += scsi_ioctl.c
TARGET_C += scsi_constants.c
# TARGET_C += scsi_cam.c
TARGET_C += scsi_error.c scsi_lib.c
TARGET_C += scsi_scan.c
# TARGET_C += scsi_syms.c
TARGET_C += scsi_sysfs.c
TARGET_C += scsi_devinfo.c

# SCSI Disk Support
TARGET_C += sd.c

# SCSI Generic Support
# TARGET_C += sg.c

# ----------------------------------------

# SCSI Debug Host
# TARGET_C += scsi_debug.c

